       IDENTIFICATION DIVISION.                                        
       PROGRAM-ID. V2CSTDB.                                            
       ENVIRONMENT DIVISION.                                           
       DATA DIVISION.                                                  
       WORKING-STORAGE SECTION.                                        
                                                                       
                                                                       
           EXEC SQL INCLUDE SQLCA  END-EXEC.                           
                                                                       
       01 TMP PIC X(40).                                               
       01  SQL-MESSAGE.                                                
           05  MSG        PIC X(10).                                   
           05  RC         PIC X(10).                                   
                                                                       
       01 HV-CUSTNO       PIC S9(9) COMP.                              
       01 HV-FIRSTNAME    PIC X(15).                                   
       01 HV-LASTNAME     PIC X(25).                                   
       01 HV-ADDRESS      PIC X(20).                                   
       01 HV-CITY         PIC X(20).                                   
       01 HV-STATE        PIC X(10).                                   
       01 HV-COUNTRY      PIC X(15).                                   
                                                                       
                                                                       
       LINKAGE SECTION.                                                
       01  DFHCOMMAREA.                                                
           02  CUSTNO     PIC S99999.                                  
           02  LASTNAME   PIC A(25).                                   
           02  FIRSTNAME  PIC A(15).                                   
           02  ADDRESS1   PIC X(20).                                   
           02  CITY       PIC A(20).                                   
           02  STATE      PIC A(10).                                   
           02  COUNTRY    PIC X(15).                                   
                                                                       
       PROCEDURE DIVISION.                                             
       START-PARA.                                                     
                                                                       
           MOVE 'SQLCODE: ' TO MSG.                                    
           MOVE 'V2CSTDB2 PROGRAM STARTED.' TO TMP.                     
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.        
                                                                        
           MOVE CUSTNO TO HV-CUSTNO.                                    
           MOVE 'SEARCHING WITH CUST #:' TO TMP.                        
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.        
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(CUSTNO) LENGTH(5) END-EXEC.     

           EXEC SQL SELECT CUST_LN, CUST_FN, CUST_ADDR, CUST_CITY,      
                    CUST_ST, CUST_CTRY INTO :HV-LASTNAME, :HV-FIRSTNAME,
                    :HV-ADDRESS, :HV-CITY, :HV-STATE, :HV-COUNTRY       
                    FROM P390R.CUSTOMER WHERE CUST_ID = :HV-CUSTNO      
                    END-EXEC.                                           
                                                                        
           MOVE HV-FIRSTNAME TO FIRSTNAME.                              
           MOVE HV-LASTNAME TO LASTNAME.                                
           MOVE HV-ADDRESS TO ADDRESS1.                                 
           MOVE HV-CITY TO CITY.                                        
           MOVE HV-STATE TO STATE.                                      
           MOVE HV-COUNTRY TO COUNTRY.                                  
                                                                        
           MOVE SQLCODE TO RC.                                          
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(SQL-MESSAGE) LENGTH(20) END-EXEC.
                                                                        
           MOVE 'V2CSTDB2 PROGRAM STOPPED.' TO TMP.                     
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.        
                                                                        
           EXEC CICS RETURN                                             
           END-EXEC.                                                     